## golang-github-gkampitakis-ciinfo 0.3.3

=== Makefile ===
.PHONY: install-tools lint test test-verbose format help compile-constants
.SILENT: install-tools lint test test-verbose format help compile-constants

help:
	grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install-tools: ## Install linting tools
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.49.0
	go install mvdan.cc/gofumpt@v0.6.0
	go install github.com/segmentio/golines@latest

lint: ## Run golangci linter
	golangci-lint run -c ./golangci.yml ./...

format: ## Format code
	gofumpt -l -w -extra .
	golines . -w

test: ## Run tests
	go test -test.timeout 120s -count=1 .
	go test -test.timeout 120s -count=1 ./ciinfo/

test-verbose: ## Run tests with verbose output
	go test -test.timeout 120s -v -cover -count=1 .
	go test -test.timeout 120s -v -cover -count=1 ./ciinfo/

compile-constants: ## Generates 'constants.go' containing the list with constant values
	cp vendors.go compile-constants
	$(shell if [ "$$(uname)" = "Darwin" ]; then \
		echo "sed -i '' 's/ciinfo/main/' compile-constants/vendors.go"; \
	else \
		echo "sed -i 's/ciinfo/main/' compile-constants/vendors.go"; \
	fi) | sh
	go run ./compile-constants/main.go ./compile-constants/vendors.go

=== debian/changelog ===
golang-github-gkampitakis-ciinfo (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #1119820)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 31 Oct 2025 22:21:38 +0100

=== debian/control ===
Source: golang-github-gkampitakis-ciinfo
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gkampitakis-ciinfo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gkampitakis-ciinfo.git
Homepage: https://github.com/gkampitakis/ciinfo
XS-Go-Import-Path: github.com/gkampitakis/ciinfo

Package: golang-github-gkampitakis-ciinfo-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: get details about the current Continuous Intergration environment
 This is the development library for golang.

=== debian/rules ===
#!/usr/bin/make -f

# Do not build and install the cmdline binaries
export DH_GOLANG_EXCLUDES := ciinfo/ compile-constants/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/gkampitakis/ciinfo/tags .*/v?(\d\S*)\.tar\.gz debian
